## Classes

### Coverage Distribution

### Complexity

### Insufficient Coverage

Class | Coverage
--- | ---
RestfullController | 0%
AHttpController | 33%
Meta | 35%
Config | 46%
HomeController | 66%
ProductController | 66%
CategoryController | 66%
ModuleManager | 84%
Hooks | 84%

### Project Risks

Class | CRAP
--- | ---
RestfullController | 30
ModuleManager | 27
Meta | 25
Config | 21
Hooks | 15

## Methods

### Coverage Distribution

### Complexity

### Insufficient Coverage

Method | Coverage
--- | ---
start | 0%
__construct | 0%
uninstall | 0%
run | 0%
isInHook | 0%
routeAdd | 0%
listAvailableModules | 0%
__get | 0%
run | 0%
start | 0%
setConfig | 0%
start | 0%
getMeta | 0%
__get | 0%
run | 0%
__set | 0%
init | 66%
__get | 80%
getConfig | 87%

### Project Risks

Method | CRAP
--- | ---
listAvailableModules | 30
__set | 20
isInHook | 12
__construct | 12
routeAdd | 6
__get | 6
__get | 6
setConfig | 6
init | 5
getConfig | 5
__get | 3